Name:           seivot
Version:        1.18
Release:        10%{?dist}
Summary:        Benchmarking tool for backup programs

License:        GPLv3+
URL:            http://liw.fi/%{name}/
Source0:        http://code.liw.fi/debian/pool/main/s/%{name}/%{name}_%{version}.orig.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-cliapp
Requires:       python2-cliapp
Requires:       genbackupdata
Requires:       summain

%description
Seivot is a program for benchmarking backup software. It was written
for developing Obnam, but it should be possible to adapt it to also
support other on-disk backup solutions, such as rsync or rdiff-backup.


%prep
%autosetup


%build
%py2_build
# Generate manpages
make


%install
%py2_install
# install manpages
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -pr seivot*.1 %{buildroot}%{_mandir}/man1/


%check
%if ! (0%{?rhel} && 0%{?rhel} <= 6)
# doesn't actually do anything at the moment
%{__python2} setup.py check
%endif


%files
%license COPYING
%doc NEWS README
%{_mandir}/man1/seivot*.1*
%{_bindir}/seivot*
%{python2_sitelib}/*


%changelog
* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.18-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 14 2017 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.18-7
- Update to depend specifically on Python 2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Michel Salim <salimma@fedoraproject.org> - 1.18-1
- Update to 1.18

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul  4 2012 Michel Salim <salimma@fedoraproject.org> - 1.17-1
- Update to 1.17

* Thu Jun  7 2012 Michel Salim <salimma@fedoraproject.org> - 1.16-2
- Remove deprecated %%{python_sitelib} definition
- Include seivots-to-csv script

* Sun Jun  3 2012 Michel Salim <salimma@fedoraproject.org> - 1.16-1
- Initial package
